import { z } from "zod";
export declare function output(): z.ZodObject<{
    iife: z.ZodOptional<z.ZodBoolean>;
    clean: z.ZodOptional<z.ZodBoolean>;
    assetModuleFilename: z.ZodOptional<z.ZodString>;
    auxiliaryComment: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<{
        amd: z.ZodOptional<z.ZodString>;
        commonjs: z.ZodOptional<z.ZodString>;
        commonjs2: z.ZodOptional<z.ZodString>;
        root: z.ZodOptional<z.ZodString>;
    }, "strict", z.ZodTypeAny, {
        amd?: string | undefined;
        commonjs?: string | undefined;
        commonjs2?: string | undefined;
        root?: string | undefined;
    }, {
        amd?: string | undefined;
        commonjs?: string | undefined;
        commonjs2?: string | undefined;
        root?: string | undefined;
    }>]>>;
    chunkFormat: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["array-push", "commonjs", "module"]>, z.ZodLiteral<false>]>>;
    chunkLoading: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<false>, z.ZodUnion<[z.ZodEnum<["jsonp", "import-scripts", "require", "async-node", "import"]>, z.ZodString]>]>>;
    enabledChunkLoadingTypes: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodEnum<["jsonp", "import-scripts", "require", "async-node", "import"]>, z.ZodString]>, "many">>;
    chunkFilename: z.ZodOptional<z.ZodString>;
    cssChunkFilename: z.ZodOptional<z.ZodString>;
    cssFilename: z.ZodOptional<z.ZodString>;
    hotUpdateChunkFilename: z.ZodOptional<z.ZodString>;
    hotUpdateMainFilename: z.ZodOptional<z.ZodString>;
    webassemblyModuleFilename: z.ZodOptional<z.ZodString>;
    hashSalt: z.ZodOptional<z.ZodString>;
    filename: z.ZodOptional<z.ZodString>;
    sourceMapFilename: z.ZodOptional<z.ZodString>;
    importFunctionName: z.ZodOptional<z.ZodString>;
    publicPath: z.ZodOptional<z.ZodString>;
    uniqueName: z.ZodOptional<z.ZodString>;
    path: z.ZodOptional<z.ZodString>;
    crossOriginLoading: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<false>, z.ZodEnum<["anonymous", "use-credentials"]>]>>;
    enabledWasmLoadingTypes: z.ZodOptional<z.ZodArray<z.ZodEnum<["...", "fetch-streaming", "fetch", "async-node"]>, "many">>;
    wasmLoading: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<false>, z.ZodEnum<["...", "fetch-streaming", "fetch", "async-node"]>]>>;
    enabledLibraryTypes: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["...", "var", "module", "assign", "assign-properties", "this", "window", "self", "global", "commonjs", "commonjs2", "commonjs-module", "commonjs-static", "amd", "amd-require", "umd", "umd2", "jsonp", "system"]>, z.ZodArray<z.ZodEnum<["...", "var", "module", "assign", "assign-properties", "this", "window", "self", "global", "commonjs", "commonjs2", "commonjs-module", "commonjs-static", "amd", "amd-require", "umd", "umd2", "jsonp", "system"]>, "many">]>>;
    globalObject: z.ZodOptional<z.ZodString>;
    libraryExport: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    libraryTarget: z.ZodOptional<z.ZodEnum<["...", "var", "module", "assign", "assign-properties", "this", "window", "self", "global", "commonjs", "commonjs2", "commonjs-module", "commonjs-static", "amd", "amd-require", "umd", "umd2", "jsonp", "system"]>>;
    hashFunction: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodFunction<z.ZodTuple<[], z.ZodUnknown>, z.ZodUnknown>]>>;
    module: z.ZodOptional<z.ZodAny>;
    strictModuleErrorHandling: z.ZodOptional<z.ZodAny>;
    umdNamedDefine: z.ZodOptional<z.ZodAny>;
    chunkLoadingGlobal: z.ZodOptional<z.ZodAny>;
    trustedTypes: z.ZodOptional<z.ZodAny>;
    hashDigest: z.ZodOptional<z.ZodAny>;
    hashDigestLength: z.ZodOptional<z.ZodAny>;
    library: z.ZodOptional<z.ZodAny>;
}, "strict", z.ZodTypeAny, {
    iife?: boolean | undefined;
    clean?: boolean | undefined;
    assetModuleFilename?: string | undefined;
    auxiliaryComment?: string | {
        amd?: string | undefined;
        commonjs?: string | undefined;
        commonjs2?: string | undefined;
        root?: string | undefined;
    } | undefined;
    chunkFormat?: false | "module" | "commonjs" | "array-push" | undefined;
    chunkLoading?: string | false | undefined;
    enabledChunkLoadingTypes?: string[] | undefined;
    chunkFilename?: string | undefined;
    cssChunkFilename?: string | undefined;
    cssFilename?: string | undefined;
    hotUpdateChunkFilename?: string | undefined;
    hotUpdateMainFilename?: string | undefined;
    webassemblyModuleFilename?: string | undefined;
    hashSalt?: string | undefined;
    filename?: string | undefined;
    sourceMapFilename?: string | undefined;
    importFunctionName?: string | undefined;
    publicPath?: string | undefined;
    uniqueName?: string | undefined;
    path?: string | undefined;
    crossOriginLoading?: false | "anonymous" | "use-credentials" | undefined;
    enabledWasmLoadingTypes?: ("..." | "fetch-streaming" | "fetch" | "async-node")[] | undefined;
    wasmLoading?: false | "..." | "fetch-streaming" | "fetch" | "async-node" | undefined;
    enabledLibraryTypes?: "..." | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "jsonp" | "system" | "assign-properties" | ("..." | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "jsonp" | "system" | "assign-properties")[] | undefined;
    globalObject?: string | undefined;
    libraryExport?: string | string[] | undefined;
    libraryTarget?: "..." | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "jsonp" | "system" | "assign-properties" | undefined;
    hashFunction?: string | ((...args: unknown[]) => unknown) | undefined;
    module?: any;
    strictModuleErrorHandling?: any;
    umdNamedDefine?: any;
    chunkLoadingGlobal?: any;
    trustedTypes?: any;
    hashDigest?: any;
    hashDigestLength?: any;
    library?: any;
}, {
    iife?: boolean | undefined;
    clean?: boolean | undefined;
    assetModuleFilename?: string | undefined;
    auxiliaryComment?: string | {
        amd?: string | undefined;
        commonjs?: string | undefined;
        commonjs2?: string | undefined;
        root?: string | undefined;
    } | undefined;
    chunkFormat?: false | "module" | "commonjs" | "array-push" | undefined;
    chunkLoading?: string | false | undefined;
    enabledChunkLoadingTypes?: string[] | undefined;
    chunkFilename?: string | undefined;
    cssChunkFilename?: string | undefined;
    cssFilename?: string | undefined;
    hotUpdateChunkFilename?: string | undefined;
    hotUpdateMainFilename?: string | undefined;
    webassemblyModuleFilename?: string | undefined;
    hashSalt?: string | undefined;
    filename?: string | undefined;
    sourceMapFilename?: string | undefined;
    importFunctionName?: string | undefined;
    publicPath?: string | undefined;
    uniqueName?: string | undefined;
    path?: string | undefined;
    crossOriginLoading?: false | "anonymous" | "use-credentials" | undefined;
    enabledWasmLoadingTypes?: ("..." | "fetch-streaming" | "fetch" | "async-node")[] | undefined;
    wasmLoading?: false | "..." | "fetch-streaming" | "fetch" | "async-node" | undefined;
    enabledLibraryTypes?: "..." | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "jsonp" | "system" | "assign-properties" | ("..." | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "jsonp" | "system" | "assign-properties")[] | undefined;
    globalObject?: string | undefined;
    libraryExport?: string | string[] | undefined;
    libraryTarget?: "..." | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "jsonp" | "system" | "assign-properties" | undefined;
    hashFunction?: string | ((...args: unknown[]) => unknown) | undefined;
    module?: any;
    strictModuleErrorHandling?: any;
    umdNamedDefine?: any;
    chunkLoadingGlobal?: any;
    trustedTypes?: any;
    hashDigest?: any;
    hashDigestLength?: any;
    library?: any;
}>;
//# sourceMappingURL=output.d.ts.map